/* ------------- Chung -------------- */
@import url('https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

@font-face {
    font-family: "Poppins";
    src: url('../font/Poppins/Poppins-Regular.ttf');
    font-weight: 400;
    font-style: normal;
}

@font-face {
    font-family: "Poppins";
    src: url('../font/Poppins/Poppins-Bold.ttf');
    font-weight: 700;
    font-style: normal;
}

@font-face {
    font-family: "Poppins";
    src: url('../font/Poppins/Poppins-SemiBold.ttf');
    font-weight: 600;
    font-style: normal;
}

* {
    font-family: "Poppins";
}

body {
    margin: 0;

}

.container {
    max-width: 1170px;
    padding-left: 15px;
    padding-right: 15px;
    margin: auto;
}

.top_header {
    background-color: #000000;
    padding-top: 12px;
    padding-bottom: 12px;
}

.top_content {
    font-family: "Poppins";
    font-weight: 400;
    color: #fff;
    font-size: 14px;
    line-height: 21px;
    width: calc(100% - 78px);
    text-align: center;
}

.top_content a {
    font-weight: 600;
    line-height: 24px;
    display: inline-block;
    margin-left: 8px;
    color: #fff;
}

.language select {
    border: 0;
    background-color: #000000;
    color: #fff;
    font-size: 14px;
    font-weight: 400;
    line-height: 21px;
    width: 78px;
    height: 24px;
}

.language select:focus {
    outline: unset;
}

.container_header {
    display: flex;
    justify-content: center;
    align-items: center;
}

.container_bottom {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-top: 40px;
    margin-bottom: 16px;
}

.logo {
    font-size: 24px;
    font-weight: bold;
    color: #000000;
    line-height: 24px;
}

.menu {
    padding: 0;
    margin: 0;
    list-style-type: none;
    display: flex;
}

.menu li a {
    display: inline-block;
    font-size: 16px;
    font-family: 400;
    line-height: 24px;
    text-decoration: none;
    margin-right: 48px;
    color: #000000;
}

.menu li:last-child a {
    margin-right: 0;
}

.menu li a.active {
    border-bottom: 1px solid #000000;
}

.content_right {
    display: flex;
    align-items: center;

}

.form_search {
    position: relative;
    margin-right: 24px;
}

.form_search input {
    height: 38px;
    width: 243px;
    border: 0;
    border-radius: 4px;
    background-color: #f5f5f5;
    box-sizing: border-box;
    padding: 7px 12px 7px 20px;
}

.form_search input:focus {
    outline: unset;
}

.form_search button {
    position: absolute;
    border: 0;
    right: 12px;
    top: 7px;
    font-size: 18px;
    background-color: unset;
    padding: 0;
}

.favorites {
    font-size: 23px;
    display: inline-block;
    margin-right: 24px;
}

.cart {
    font-size: 23px;
    display: inline-block;
    margin-right: 24px;
}

main {
    border-top: 1px solid #000000;
}

.footer {
    background: #000;
    color: #fff;
}

.footer-main {
    max-width: 1200px;
    margin: 0 auto;
    margin-top: 40px;
    padding: 80px 0;

    display: grid;
    grid-template-columns: 2fr 2fr 1.5fr 1.5fr 2fr;
    gap: 40px;
}

.footer-col h4 {
    font-size: 18px;
    margin-bottom: 16px;
}

.footer-col p,
.footer-col a {
    font-size: 14px;
    color: #ccc;
    margin-bottom: 10px;
    display: block;
    text-decoration: none;
}

.footer-col a:hover {
    color: #fff;
}

.subscribe {
    display: flex;
    border: 1px solid #555;
    border-radius: 4px;
    overflow: hidden;
    margin-top: 16px;
}

.subscribe input {
    flex: 1;
    background: transparent;
    border: none;
    color: #fff;
    padding: 10px;
}

.subscribe button {
    background: transparent;
    border: none;
    color: #fff;
    padding: 0 14px;
    cursor: pointer;
}

.app-box {
    display: flex;
    gap: 12px;
    margin: 12px 0;
}

.app-box img {
    max-width: 100%;
}

.social {
    display: flex;
    gap: 16px;
    margin-top: 16px;
}

.social i {
    cursor: pointer;
}

/*-------------- Product Detail ----------------*/

.breadcrumb {
    font-size: 14px;
    color: #777;
    margin-bottom: 40px;
    margin-top: 20px;
}

/* MAIN GRID */
.product-content {
    /*    display:flex;
    gap:60px;
    align-items:flex-start;*/
    display: flex;
    gap: 60px;
    align-items: flex-start;
}

.product-image {
    width: 500px;
}

    .product-image img {
        width: 100%;
        border: 1px solid #eee;
        padding: 10px;
        background: #fff;
    }

.product-info {
    flex: 1;
}

/* INFO */
.product-info h2 {
    margin-bottom: 10px;
}

.rating {
    font-size: 14px;
    color: #999;
    margin-bottom: 20px;
}

.rating .stock {
    color: green;
    margin-left: 10px;
}

.price {
    font-size: 28px;
    font-weight: bold;
    margin-bottom: 20px;
}

.desc {
    font-size: 14px;
    color: #555;
    margin-bottom: 30px;
}

/* OPTIONS */
.option {
    margin-bottom: 20px;
}

.colors {
    display: inline-flex;
    gap: 10px;
    margin-left: 10px;
}

.color {
    width: 20px;
    height: 20px;
    border-radius: 50%;
    border: 1px solid #ccc;
}

.color.black {
    background: #000;
}

.color.red {
    background: #e44b4b;
}

.sizes button {
    padding: 6px 12px;
    margin-right: 8px;
    border: 1px solid #ccc;
    background: #fff;
    cursor: pointer;
}

.sizes button:hover {
    background: #e44b4b;
    color: #fff;
    border-color: #e44b4b;
}

/* BUY ROW */
.buy-row {
    display: flex;
    align-items: center;
    gap: 16px;
    margin: 30px 0;
}

.qty {
    display: flex;
    border: 1px solid #ccc;
}

.qty button {
    width: 32px;
    border: none;
    background: #f5f5f5;
    cursor: pointer;
}

.qty span {
    width: 40px;
    text-align: center;
    line-height: 32px;
}

.buy-btn {
    background: #e44b4b;
    color: #fff;
    padding: 12px 24px;
    border: none;
    cursor: pointer;
}

.fav-btn {
    border: 1px solid #ccc;
    background: #fff;
    padding: 12px;
    cursor: pointer;
}

/* DELIVERY */
.delivery {
    border: 1px solid #eee;
}

.delivery_detail1 {
    display: flex;
    padding: 16px;
    border-top: 1px solid #eee;
}

.delivery_detail1 img {
    width: 40px;
    height: 40px;
    margin: 20px;
}

/**/
.cart_action {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-top: 20px;
}

.right_action {
    display: flex;
    gap: 15px;
}

.btn_delete_all,
.btn_continue,
.btn_update,
.btn_checkout {
    padding: 12px 24px;
    border: none;
    border-radius: 6px;
    text-decoration: none;
    font-size: 15px;
    font-weight: 500;
    cursor: pointer;
    transition: 0.3s;
}

/* xóa */
.btn_delete_all {
    background: #db4444;
    color: white;
}

    .btn_delete_all:hover {
        background: #b92020;
    }

/* tiếp tục mua */
.btn_continue {
    background: #2f2f2f;
    color: white;
}

    .btn_continue:hover {
        background: #444;
    }

/* cập nhật */
.btn_update {
    background: #f5f5f5;
    color: black;
}

    .btn_update:hover {
        background: #ddd;
    }

/* tổng tiền */
.total-cart {
    margin-top: 30px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.total_price {
    font-size: 24px;
    font-weight: 600;
    color: white;
}

    .total_price span {
        color: #db4444;
    }

/* thanh toán */
.btn_checkout {
    background: #00a651;
    color: white;
}

    .btn_checkout:hover {
        background: #008f45;
    }
/**/
.item {
    width: 25%;
    box-sizing: border-box;
    padding: 0 15px;

    .product {
        background: #161616;
        border-radius: 10px;
        overflow: hidden;
        transition: 0.3s;
        height: 100%;
    }

        .product:hover {
            transform: translateY(-5px);
        }

    .img-prd {
        position: relative;
        display: block;
        background: #f5f5f5;
        height: 220px;
        overflow: hidden;
    }

        .img-prd img {
            width: 100%;
            height: 100%;
            object-fit: contain;
        }

    .content_prod {
        padding: 15px;
    }

        .content_prod h3 {
            margin-bottom: 10px;
        }

            .content_prod h3 a {
                color: #fff;
                font-size: 16px;
                font-weight: 500;
                line-height: 22px;
                text-decoration: none;
            }

        .content_prod p {
            color: #fff;
            font-size: 18px;
        }

    .discount {
        position: absolute;
        top: 15px;
        left: 15px;
        background: #db4444;
        color: #fff;
        padding: 5px 10px;
        border-radius: 5px;
    }

    .favorite,
    .view_more {
        position: absolute;
        right: 15px;
        width: 40px;
        height: 40px;
        background: #111;
        border-radius: 50%;
        display: flex;
        align-items: center;
        justify-content: center;
    }

    .favorite {
        top: 15px;
    }

    .view_more {
        top: 65px;
    }

        .favorite i,
        .view_more i {
            color: #fff;
        }

    .product {
        position: relative;
    }

    .btn-add-cart {
        position: absolute;
        left: 0;
        bottom: 155px; /* điều chỉnh theo chiều cao content_prod */
        width: 100%;
        background: #000;
        color: #fff;
        text-align: center;
        padding: 12px 0;
        text-decoration: none;
        opacity: 0;
        transition: 0.3s;
        z-index: 10;
    }

    .product:hover .btn-add-cart {
        opacity: 1;
    }

    .old-price {
        text-decoration: line-through !important;
        color: #999 !important;
        margin-left: 8px;


        .item_category,
        .item_category a,
        .item_category span {
            color: #fff;
            text-decoration: none;
        }